---
lang: en
title: 'API docs: authorization.authorizationdecision'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/authorization
permalink: /doc/en/lb4/apidocs.authorization.authorizationdecision.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authorization](./authorization.md) &gt; [AuthorizationDecision](./authorization.authorizationdecision.md)

## AuthorizationDecision enum

Decisions for authorization

**Signature:**

```typescript
export declare enum AuthorizationDecision 
```

## Enumeration Members

<table><thead><tr><th>

Member


</th><th>

Value


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

ABSTAIN


</td><td>

`"Abstain"`


</td><td>

No decision


</td></tr>
<tr><td>

ALLOW


</td><td>

`"Allow"`


</td><td>

Access allowed


</td></tr>
<tr><td>

DENY


</td><td>

`"Deny"`


</td><td>

Access denied


</td></tr>
</tbody></table>

